LOTRO Finally

Oops ! I missed something ! Dumb ! Dumb ! Dumb ! Apologies to LOTRO devs.

My earlier post about LOTRO was way off the mark ... and the amazing part is that I found the problem and managed to fix it myself ! 

/cheshire cat grin
/pats back
/looks suitably amazed at my own amazicity ! 

Well, here was the peroblemo hombre... 

The .NET did not install. 

Yup. You got that right. .NET 1.1 does not install on Vista directly. Viva le Microsoft ! 

erm. But then one wonders why 1.1 is not available properly on Vista, and also one wonders why developers are not using .NET3.5 - the latest and .. errr.. greatest (?) .NET framework out there. 

Anyhows, the following was the error I was getting while installing .NET ... 


Duh. Amazingly precise and helpful ( /sarcasm) message from the devs on what is happening. 

Fortunately, Google is finally working ok today, so gave a search for the error ... and viola, got a great link for it. 
Essentially the steps are as follows ... 
  1. Download .NET 1.1
  2. Download .NET 1.1 SP1 <-- this fixes the install problem, but unhelpfully not bundled as a stand alone installer. 
  3. Put both of them in a common directory (e.g. c:/dotnet)
  4. Start a command prompt as Administrator (rt click on the cmd prompt icon. no sudo here you dumbo!)
  5. Mumble a few voodoo words and run the following commands... esentially the commands make a single installer from the 2 you downloaded above. 
  • c:\dotnet>dotnetfx.exe /c:"msiexec.exe /a netfx.msi TARGETDIR=C:\DotNet
  • c:\dotnet>dotnetfxsp1.exe /Xp:C:\DotNet\netfxsp.msp
  • c:\dotnet>msiexec.exe /a c:\DotNet\netfx.msi /p c:\DotNet\netfxsp.msp

Huzzah ! Ze magik Werks ! 

Run LOTRO


WTF ! Maintainence ! 

Finally is not Finally enough... 

Wait for more demented updates ... 

No comments:

Post a Comment